Debian Bug report logs - #675467
ITP: bilibop -- run Debian from external media

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: bilibop project <quidame@poivron.org>

Date: Fri, 1 Jun 2012 13:12:27 UTC

Owned by: bilibop project <quidame@poivron.org>

Severity: wishlist

Fixed in version bilibop/0.4.16

Done: bilibop project <quidame@poivron.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, quidame@poivron.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#675467; Package wnpp. (Fri, 01 Jun 2012 13:12:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to bilibop project <quidame@poivron.org>:
New Bug report received and forwarded. Copy sent to quidame@poivron.org, debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 01 Jun 2012 13:12:56 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bilibop project <quidame@poivron.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: bilibop -- run Debian from external media
Date: Fri, 01 Jun 2012 15:10:51 +0200
Package: wnpp
Severity: wishlist
Owner: bilibop project <quidame@poivron.org>

* Package name    : bilibop
  Version         : 0.1
  Upstream Author : bilibop project <quidame@poivron.org>
* URL             : https://poivron.org/~quidame/bilibop_project/
* License         : GPL-3.0+
  Programming Lang: Shell
  Description     : run Debian from external media

Bilibop is a collection of scripts using or used by other programs (initramfs-
tools, udev, aufs, mount, GRUB2) to help admins to maintain a Debian GNU/Linux
operating system installed on a removable and writable media. One of its main
goals is to fix security issues or harden standard rules and policies to make
the system more robust in this particular situation.

The bilibop source package builds the following binaries:

bilibop: metapackage

bilibop-common: shell functions to find the drive hosting the root filesystem
(dm-crypt, LVM, loop devices, aufs and any combination of them are supported)

bilibop-rules: udev rules to fix the removable drive hosting the running
system, and all its partitions, as members of the 'disk' group (fixes bug
#645466). Other optional features for the desktop environment (based on
Udisks).

bilibop-lockfs: make a standard installation to behave like a LiveUSB. Can be
used as an alternative (and enhancement) of the fsprotect package.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bilibop project <quidame@poivron.org>:
Bug#675467; Package wnpp. (Sat, 02 Jun 2012 11:00:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bilibop project <quidame@poivron.org>. (Sat, 02 Jun 2012 11:00:15 GMT) Full text and rfc822 format available.

Message #10 received at 675467@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: bilibop project <quidame@poivron.org>
Cc: 675467@bugs.debian.org
Subject: Re: Bug#675467: ITP: bilibop -- run Debian from external media
Date: Fri, 01 Jun 2012 23:53:40 +0200
Hi,

This looks pretty interesting and exciting to me!
Hence, a few inline questions follow.

bilibop project wrote (01 Jun 2012 13:10:51 GMT) :
> One of its main goals is to fix security issues or harden standard
> rules and policies to make the system more robust in this
> particular situation.

This sounds awesome, but pretty vague, so I'm curious:
What security issues?
What hardening?
How more robust?

> bilibop-common: shell functions to find the drive hosting the root
> filesystem (dm-crypt, LVM, loop devices, aufs and any combination of
> them are supported)

This might be useful for Tails' implementation of "wipe memory on
shutdown".

> bilibop-rules: udev rules to fix the removable drive hosting the running
> system, and all its partitions, as members of the 'disk' group (fixes bug
> #645466).

I fail to understand how a drive can be a member of the 'disk' group.
Please enlighten me. (Being offline, I can't read the mentionned bug
right now, but still, the package description should make sense by
itself, without needing to access online resources.)

> Other optional features for the desktop environment (based on
> Udisks).

Such as?

> bilibop-lockfs: make a standard installation to behave like
> a LiveUSB. Can be used as an alternative (and enhancement) of the
> fsprotect package.

Interesting.
What makes it different from (or better than) fsprotect and live-boot?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bilibop project <quidame@poivron.org>:
Bug#675467; Package wnpp. (Sat, 02 Jun 2012 13:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to quidame@poivron.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bilibop project <quidame@poivron.org>. (Sat, 02 Jun 2012 13:15:07 GMT) Full text and rfc822 format available.

Message #15 received at 675467@bugs.debian.org (full text, mbox):

From: quidame@poivron.org
To: intrigeri <intrigeri@debian.org>, <675467@bugs.debian.org>
Subject: Re: Bug#675467: ITP: bilibop -- run Debian from external media
Date: Sat, 02 Jun 2012 15:05:42 +0200
Le 2012-06-01 23:53, intrigeri a écrit :
> Hi,
>
> This looks pretty interesting and exciting to me!
> Hence, a few inline questions follow.
>
> bilibop project wrote (01 Jun 2012 13:10:51 GMT) :
>> One of its main goals is to fix security issues or harden standard
>> rules and policies to make the system more robust in this
>> particular situation.
>
> This sounds awesome, but pretty vague, so I'm curious:
> What security issues?
> What hardening?
> How more robust?
This is what i explain below...

>> bilibop-common: shell functions to find the drive hosting the root
>> filesystem (dm-crypt, LVM, loop devices, aufs and any combination of
>> them are supported)
>
> This might be useful for Tails' implementation of "wipe memory on
> shutdown".
I have Tails installed on a USB key; the "wipe memory on shutdown" 
seems to work well,
without need of bilibop-common or whatever.

>> bilibop-rules: udev rules to fix the removable drive hosting the 
>> running
>> system, and all its partitions, as members of the 'disk' group 
>> (fixes bug
>> #645466).
>
> I fail to understand how a drive can be a member of the 'disk' group.
> Please enlighten me. (Being offline, I can't read the mentionned bug
> right now, but still, the package description should make sense by
> itself, without needing to access online resources.)
Boot on Debian, plug a USB/FireWire drive (key or HDD) on, and execute
'ls -l /dev/sd*':
You should see /dev/sda and its partitions as members of the 'disk' 
group
(and maybe also /dev/sdb* if there is a second internal HDD). And you
should see the USB drives and their partitions as members of the 
'floppy'
group. Now type, from your user account: 'groups'. If 'floppy' is in 
the
list, it means you have low-level write access on devices of this 
group.
You should not be member of the 'disk' group.

For example, you told me about Tails. So, boot on it (the LiveUSB, of 
course)
find the drive which your system is running from (here, we say 
/dev/sdb),
and, as the normal user, just type 'shred -vzn0 /dev/sdb'. Now your 
'secured'
system is lost.

So, find the drive hosting the running system and protect it from user
mistakes is what I call 'fix a security issue' or 'make the system more 
robust'.

>> Other optional features for the desktop environment (based on
>> Udisks).
>
> Such as?
By setting:
 UDISKS_SYSTEM_INTERNAL
 UDISKS_PRESENTATION_HIDE
 UDISKS_PRESENTATION_ICON_NAME
 UDISKS_PRESENTATION_NAME
for devices listed in BILIBOP_RULES_* variables in 
/etc/bilibop/bilibop.conf
(see udisks(7) for some details). As said above, this is optional, and 
only
for convenience: hide partitions, or show them with icons and/or names
different than the defaults, or make the user able or not to mount them 
from
the filemanager with or without su/sudo password.
As said in the documentation of the package, all this can be bypassed 
with
pmount(1). This is not a security layer.

>> bilibop-lockfs: make a standard installation to behave like
>> a LiveUSB. Can be used as an alternative (and enhancement) of the
>> fsprotect package.
>
> Interesting.
> What makes it different from (or better than) fsprotect and 
> live-boot?
In comparison with fsprotect, bilibop-lockfs has the following 
features:
1. whitelist based configuration: when bilibop-lockfs is enabled, all 
local
   fs are protected.
2. not only filesystems are set readonly, but also block devices
3. swap device management/policy (use it, don't use it, use it noauto, 
or
   use it only if encrypted)
4. notifications are send to the user at startup to say her if 
temporary
   or permanent changes are allowed or not, and where (mountpoints)

The section 2 is one of the features that hardens the standard rules 
and
policies: it makes the system unbreakable (unless with a hammer?).

For live-boot, I don't know. I've not studied the question: can it be 
used
on a standard system ? I use 'LiveUSB' comparison because the system is
running from a USB key/HDD, and nothing is written on the partition 
containing
the system.

The main difference is that a standard system (I say 'standard' by 
opposition
with 'live') is easier to maintain than a live system. For that, boot 
in
'recovery mode' (this disables 'lockfs'), update your system or 
reconfigure
such or such application, and reboot.

============================================================================
For more info about bilibop, please see
http://mentors.debian.net/package/bilibop

You can download the source with:
dget -x 
http://mentors.debian.net/debian/pool/main/b/bilibop/bilibop_0.1.dsc

I have send a RFS: #675532

> Cheers,
Regards,
quidame




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bilibop project <quidame@poivron.org>:
Bug#675467; Package wnpp. (Sun, 03 Jun 2012 07:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bilibop project <quidame@poivron.org>. (Sun, 03 Jun 2012 07:51:16 GMT) Full text and rfc822 format available.

Message #20 received at 675467@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: quidame@poivron.org
Cc: 675467@bugs.debian.org
Subject: Re: Bug#675467: ITP: bilibop -- run Debian from external media
Date: Sun, 03 Jun 2012 00:59:03 +0200
Hi,

quidame@poivron.org wrote (02 Jun 2012 13:05:42 GMT) :
>>> bilibop-common: shell functions to find the drive hosting the root
>>> filesystem (dm-crypt, LVM, loop devices, aufs and any combination
>>> of them are supported)
>>
>> This might be useful for Tails' implementation of "wipe memory on
>> shutdown".
> I have Tails installed on a USB key; the "wipe memory on shutdown"
> seems to work well, without need of bilibop-common or whatever.

Nice to hear. However, we're generally happy to replace custom code
with some generic code maintained by others than us, who seem to be
experts in the specific area this code is about -- especially when our
own quick hack quickly shows its limits in unusual installations of
Tails. We try to cap our instance of the NIH syndrom to the
bare minimum.

>>> bilibop-rules: udev rules to fix the removable drive hosting the running
>>> system, and all its partitions, as members of the 'disk' group
>> I fail to understand how a drive can be a member of the 'disk' group.
>> Please enlighten me. (Being offline, I can't read the mentionned bug
>> right now, but still, the package description should make sense by
>> itself, without needing to access online resources.)
> Boot on Debian, plug a USB/FireWire drive (key or HDD) on, and execute
> 'ls -l /dev/sd*':
> You should see /dev/sda and its partitions as members of the 'disk' group
> (and maybe also /dev/sdb* if there is a second internal HDD).

Ah, you mean *owned* by the "disk" vs. "floppy" group.
Now (and now that I've read the referenced bug) it's perfectly clear :)
I don't think it's correct and clear to tell a drive is a "member" of
a group.

>>> (fixes bug #645466).

I think s/fixes/is a way to workaround/ would be more correct.
Unfortunately, #645466 is likely to remain unfixed even once bilibop
is in Debian :(

> For example, you told me about Tails. So, boot on it (the LiveUSB,
> of course) find the drive which your system is running from (here,
> we say /dev/sdb), and, as the normal user, just type 'shred -vzn0
> /dev/sdb'. Now your 'secured' system is lost.

Right. I'm glad we've learnt of this security issue. Thank you.
I've added it to our bug tracker:
https://tails.boum.org/bugs/writable_system_disk:_belongs_to_floppy_group/

Do you want to be credited for this discovery? (even if, formally
speaking, you did not report it to us: had I not read debian-devel,
I would probably not have learnt about it that soon, would I?)

> So, find the drive hosting the running system and protect it from
> user mistakes is what I call 'fix a security issue' or 'make the
> system more robust'.

Sure. I can't wait using it in Tails. Are there any difficulties you
think we may encounter in the process?

Please note that I did not mean to suggest bilibop does not fix
security issues or does not makes a system more robust: I was merely
pointing out that 1. the description was not explaining why and how
clearly enough to my taste; 2. I was interested and I wanted to know
more. Your reply looks like a good source of inspiration to make the
package description more thorough and precise.

>>> Other optional features for the desktop environment (based on
>>> Udisks).
>>
>> Such as?
> By setting:  [...] As said above, this is optional, and only for
> convenience: hide partitions, or show them with icons and/or names
> different than the defaults, or make the user able or not to mount
> them from the filemanager with or without su/sudo password. As said
> in the documentation of the package, all this can be bypassed with
> pmount(1). This is not a security layer.

Looks like this could be useful for Tails persistence feature :)

> You can download the source with:  dget -x
> http://mentors.debian.net/debian/pool/main/b/bilibop/bilibop_0.1.dsc

I'll have a look, hopefully in a few days. Don't hesitate pinging me
in two weeks if needed.

> I have send a RFS: #675532

I'll consider sponsoring this package. I expect my decision to be
mostly a function of whether there is some bilibop feature we can use
as is in Tails.

How much do you care about seeing bilibop shipped in Wheezy?
(I presume not much, else you would have posted this ITP quite sooner,
but who knows, I myself have not uploaded yet all new packages I want
to see in Wheezy -- the difference being I won't have to argue with
myself about packaging style and tools ;)

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bilibop project <quidame@poivron.org>:
Bug#675467; Package wnpp. (Mon, 04 Jun 2012 13:25:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to quidame@poivron.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bilibop project <quidame@poivron.org>. (Mon, 04 Jun 2012 13:25:40 GMT) Full text and rfc822 format available.

Message #25 received at 675467@bugs.debian.org (full text, mbox):

From: quidame@poivron.org
To: intrigeri <intrigeri@debian.org>, <675467@bugs.debian.org>
Subject: Re: Bug#675467: ITP: bilibop -- run Debian from external media
Date: Mon, 04 Jun 2012 15:16:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

Le 2012-06-03 00:59, intrigeri a écrit :
> Nice to hear. However, we're generally happy to replace custom code
> with some generic code maintained by others than us, who seem to be
> experts in the specific area this code is about -- especially when 
> our
> own quick hack quickly shows its limits in unusual installations of
> Tails. We try to cap our instance of the NIH syndrom to the
> bare minimum.

The "wipe memory on shutdown" is a good feature, but seems to be very
hard to implement. About bilibop-common functions, you have to remember
that they apply only on (physical or virtual) block devices. Specific
functions have been written for aufs, but only for the case the 
readonly
branch is the mountpoint of a block device. This means such functions 
are
unusable if you run Tails entirely into RAM (I believe with the 'toram'
boot parameter, or something like that).

> Ah, you mean *owned* by the "disk" vs. "floppy" group.
> Now (and now that I've read the referenced bug) it's perfectly clear 
> :)
> I don't think it's correct and clear to tell a drive is a "member" of
> a group.

Yes. Annoying for me... I have to rewrite a part of the documentation.
I should begin tonight.

>>>> (fixes bug #645466).
> I think s/fixes/is a way to workaround/ would be more correct.
> Unfortunately, #645466 is likely to remain unfixed even once bilibop
> is in Debian :(

*workaround*, why not. I say 'fix' to not say 'close'.

>> For example, you told me about Tails. So, boot on it (the LiveUSB,
>> of course) find the drive which your system is running from (here,
>> we say /dev/sdb), and, as the normal user, just type 'shred -vzn0
>> /dev/sdb'. Now your 'secured' system is lost.
>
> Right. I'm glad we've learnt of this security issue. Thank you.
> I've added it to our bug tracker:
> 
> https://tails.boum.org/bugs/writable_system_disk:_belongs_to_floppy_group/
>
> Do you want to be credited for this discovery? (even if, formally
> speaking, you did not report it to us: had I not read debian-devel,
> I would probably not have learnt about it that soon, would I?)

mmmh... maybe this could give additional audience to my package :)
More seriously, I don't know. Why not? But I'm not alone. The author
of the bugreport #645466 could be credited too.

>> So, find the drive hosting the running system and protect it from
>> user mistakes is what I call 'fix a security issue' or 'make the
>> system more robust'.
>
> Sure. I can't wait using it in Tails. Are there any difficulties you
> think we may encounter in the process?

I have tried today with the last release of Tails. It works fine but
needs to modify two lines in the bilibop-common functions. This will
be available in my next 'dput' on mentors.debian.net. If you really
want to try it now, do as follows:
1. Boot Tails and open a session with password enabled
2. Get bilibop_0.1.tar.gz, unpack it and copy the relevant files:
   /lib/bilibop/rules.sh
   /lib/udev/bilibop_disk
   /lib/udev/rules.d/60-loopback.rules
   /lib/udev/rules.d/66-bilibop.rules
3. Copy the attachment of this message in
   /lib/bilibop/common.sh
4. If necessary, don't forget to change permissions of the files
5. Restart udev (this is mandatory) and trigger uevents
   $ sudo invoke-rc.d udev restart
   $ sudo udevadm trigger --action=add
   $ sudo udevadm trigger --action=change
6. Verify the result:
   $ ls -l /dev/sd*
   $ ls -l /dev/bilibop

But commands provided by bilibop-common (drivemap) and bilibop-rules
(lsbilibop) work partially. This is due to important changes in
base-files and udev packages. drivemap and lsbilibop could be easily
backported to Squeeze but in the other hand I think they are not so
important in the Tails context. Say me what you think about.

> Please note that I did not mean to suggest bilibop does not fix
> security issues or does not makes a system more robust: I was merely
> pointing out that 1. the description was not explaining why and how
> clearly enough to my taste; 2. I was interested and I wanted to know
> more. Your reply looks like a good source of inspiration to make the
> package description more thorough and precise.

I agree.

>>>> Other optional features for the desktop environment (based on
>>>> Udisks).
> [...]
> Looks like this could be useful for Tails persistence feature :)

Yes, this could be useful, but this could be useless too, if not
correctly configured: the user could be unable to access such or
such partition from Nautilus. Just remember that a feature as
'hide partitions' is either disabled or whitelist based (show all,
or hide all unless what is listed by: UUID, LABEL, TYPE or USAGE).

For Tails context/design, you should see in
/usr/share/doc/bilibop-rules/examples/90-internal-drives.rules
the rules titled A or C (forbid access to internal drives, even
by root).

>> I have send a RFS: #675532
>
> I'll consider sponsoring this package. I expect my decision to be
> mostly a function of whether there is some bilibop feature we can use
> as is in Tails.
>
> How much do you care about seeing bilibop shipped in Wheezy?
> (I presume not much, else you would have posted this ITP quite 
> sooner,
> but who knows, I myself have not uploaded yet all new packages I want
> to see in Wheezy -- the difference being I won't have to argue with
> myself about packaging style and tools ;)

Yes, who knows. I wanted to post ITP and RFS sooner, but I have spent
last weeks to learn how to build debian packages...
Now I think bilibop (the source and the binaries) is in a good
shape and can interest people, at least for a review. If bilibop is
shipped in Wheezy, I will be happy; and I will include it in a
preseed file for further installations of Debian on removable media.
But what seems so good for me, maybe is not so good for the community?

Cheers,
quidame
[common.sh (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bilibop project <quidame@poivron.org>:
Bug#675467; Package wnpp. (Wed, 06 Jun 2012 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bilibop project <quidame@poivron.org>. (Wed, 06 Jun 2012 17:24:07 GMT) Full text and rfc822 format available.

Message #30 received at 675467@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: quidame@poivron.org
Cc: <675467@bugs.debian.org>
Subject: Re: Bug#675467: ITP: bilibop -- run Debian from external media
Date: Wed, 06 Jun 2012 12:50:15 -0300
Hi,

quidame@poivron.org wrote (04 Jun 2012 13:16:52 GMT) :
> This means such functions are unusable if you run Tails entirely
> into RAM (I believe with the 'toram' boot parameter, or something
> like that).

In this mode, we don't need to arm the emergency shutdown watchdog, so
we don't need to determine the underlying physical device, so we don't
need bilibop. Bilibop might be useful in every other case.

>>> So, find the drive hosting the running system and protect it from
>>> user mistakes is what I call 'fix a security issue' or 'make the
>>> system more robust'.
>>
>> Sure. I can't wait using it in Tails. Are there any difficulties you
>> think we may encounter in the process?

> I have tried today with the last release of Tails. It works fine but
> needs to modify two lines in the bilibop-common functions.

Great. So the hard part will rather be to integrate this with
existing, working features that *need* to modify the devices Tails
runs from (such as: setup a persistence volume).

> But commands provided by bilibop-common (drivemap) and bilibop-rules
> (lsbilibop) work partially. This is due to important changes in
> base-files and udev packages. drivemap and lsbilibop could be easily
> backported to Squeeze but in the other hand I think they are not so
> important in the Tails context. Say me what you think about.

My take on it is don't bother with these :)

> For Tails context/design, you should see in
> /usr/share/doc/bilibop-rules/examples/90-internal-drives.rules the
> rules titled A or C (forbid access to internal drives, even by
> root).

Thank you.

> But what seems so good for me, maybe is not so good for the community?

I've sent my comments, with my potential sponsor hat on, to the
RFS bug.




Added blocking bug(s) of 675467: 675532 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 15:40:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bilibop project <quidame@poivron.org>:
Bug#675467; Package wnpp. (Sat, 17 Aug 2013 07:15:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bilibop project <quidame@poivron.org>. (Sat, 17 Aug 2013 07:15:30 GMT) Full text and rfc822 format available.

Message #37 received at 675467@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 675467@bugs.debian.org
Cc: control@bugs.debian.org
Subject: bilibop: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:09 +0200
retitle 675467 RFP: bilibop -- run Debian from external media
noowner 675467
tag 675467 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging bilibop. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of bilibop back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging bilibop, please send a mail to
<control@bugs.debian.org> with:

 retitle 675467 ITP: bilibop -- run Debian from external media
 owner 675467 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <675467@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: bilibop -- run Debian from external media' from 'ITP: bilibop -- run Debian from external media' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:21:41 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by bilibop project <quidame@poivron.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:21:42 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: bilibop -- run Debian from external media' from 'RFP: bilibop -- run Debian from external media' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Tue, 20 Aug 2013 09:15:17 GMT) Full text and rfc822 format available.

Owner recorded as bilibop project <quidame@poivron.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Tue, 20 Aug 2013 09:15:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 18 Sep 2013 08:06:04 GMT) Full text and rfc822 format available.

Reply sent to bilibop project <quidame@poivron.org>:
You have taken responsibility. (Sat, 21 Sep 2013 04:03:23 GMT) Full text and rfc822 format available.

Notification sent to bilibop project <quidame@poivron.org>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 04:03:23 GMT) Full text and rfc822 format available.

Message #52 received at 675467-close@bugs.debian.org (full text, mbox):

From: bilibop project <quidame@poivron.org>
To: 675467-close@bugs.debian.org
Subject: Bug#675467: fixed in bilibop 0.4.16
Date: Sat, 21 Sep 2013 04:00:23 +0000
Source: bilibop
Source-Version: 0.4.16

We believe that the bug you reported is fixed in the latest version of
bilibop, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675467@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
bilibop project <quidame@poivron.org> (supplier of updated bilibop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 17 Sep 2013 11:46:55 +0000
Source: bilibop
Binary: bilibop bilibop-common bilibop-lockfs bilibop-rules bilibop-udev
Architecture: source amd64
Version: 0.4.16
Distribution: unstable
Urgency: low
Maintainer: bilibop project <quidame@poivron.org>
Changed-By: bilibop project <quidame@poivron.org>
Description: 
 bilibop    - run Debian GNU/Linux from external media - metapackage
 bilibop-common - shell functions for bilibop scripts
 bilibop-lockfs - lock filesystems and write changes into RAM
 bilibop-rules - device management rules for OS running from external media
 bilibop-udev - minimal udev rule for Debian GNU/Linux running from external medi
Closes: 675467
Changes: 
 bilibop (0.4.16) unstable; urgency=low
 .
   * bilibop-rules: move db_reset and db_fset commands from config to postinst
     script; this should improve the behavior of the scripts during package
     upgrade if a custom rules file has been built manually. Add comments.
   * debian/substvars: remove trailing ${Newline} in the "Description"
     variable. It had been added to work around bug #659814 (dpkg-dev),
     which has been recently fixed.
 .
 bilibop (0.4.15) unstable; urgency=low
 .
   * bilibop-rules: modify bilibop-rules.bilibop.udev to avoid direct access
     (with blkid -p) to suspended dm devices; then create the symlink (as
     mapper/dm_name) earlier; update bilibop_rules_generator for consistency.
 .
 bilibop (0.4.14) unstable; urgency=low
 .
   * bilibop-common: fix spelling errors in manpages.
   * bilibop-rules:
     - Modify postrm script: fix an error about udev tags directory path.
     - Include missing 'rlvm' sample script in the package.
     - Modify 'rlvm' sample (rely on $SHELL environment variable).
 .
 bilibop (0.4.13) unstable; urgency=low
 .
   * bilibop-common: update bilibop.conf(5) manual pages.
 .
   * bilibop-rules:
     - Modify maintainer scripts: fix syntax errors; keep variable names
       consistency between scripts; backup GRUB device.map in postinst, and
       restore it in postrm (purge); do not create a fake device.map in prerm,
       just a broken symlink.
     - Add a sample script (in the doc) to ease the use of the
       physical_volumes_filter helper script.
     - Update README.Debian
     - Remove the TODO
 .
 bilibop (0.4.12) experimental; urgency=low
 .
   * bilibop-common:
     - Modify 'underlying_device_from_aufs()'; take into account that an aufs
       branch is not necessarly the mountpoint of a device.
     - Update the copyright date of the shell library (common.sh).
     - Update main function's dependency tree in common.sh
     - Fix a typo in the french bilibop.conf manpage.
     - Update README.Debian
 .
   * bilibop-lockfs:
     - In the local-bottom initramfs script, follow
       BILIBOP_LOCKFS_NOTIFY_POLICY to display non-error messages in plymouth.
     - debian/control: add plymouth in the 'Suggests:' field.
 .
   * bilibop-rules:
     - Modify bilibop_rules_generator to ease the build of rules that can be
       applied to dual port devices (especially USB and MMC/MSP/SD).
     - Modify sysfs_attrs_rule() in bilibop_rules_generator: replace occurences
       of double quotes (") by a question mark (?) in values of attributes (as
       " means inch) instead of removing these attributes.
     - Modify make_unpersistent_rules and the initramfs script to fix a design
       error in the 'unpersistent rules' feature. This mainly affected the cd
       rules (symlinks to /dev/sr* were not always created or updated).
     - Make the package debconf-configurable: rewrite existing maintscripts;
       add bilibop-rules.config and bilibop-rules.templates; add debian/po/
       and populate it; modify debian/control and debian/rules.
     - Add french translation for debconf.
     - Update README.Debian
 .
   * bilibop-udev:
     - Modify postinst script: if the disk hosting the system (or one of its
       partitions) still belong to 'floppy' group, then exit with error, unless
       a custom rules file exists.
     - modify postrm script: be sure /sys/block exists before doing things; use
       ERE instead of BRE in grep commands.
     - Update README.Debian
 .
   * debian/control: update Homepage: and Vcs-Git: fields.
   * debian/copyright: remove the 'Source: ' field and update copyright dates.
   * debian/substvars: replace the strict requirement by something more soft,
     as an advice.
 .
 bilibop (0.4.11) experimental; urgency=low
 .
   * bilibop-common: modify /lib/bilibop/test to output the value of
     BILIBOP_COMMON_BASENAME, unless the -q option is used.
   * bilibop-udev:
     - Modify the udev rules file to create a symlink with the output of
       /lib/bilibop/test.
     - Rewrite postinst script to not fail when the package is installed in a
       chrooted or debootstraped environment, and explicitly load the udev
       rules before triggering uevents.
   * bilibop-rules: fix an error (typo) about -x option in the
     physical_volumes_filter script.
 .
 bilibop (0.4.10) experimental; urgency=low
 .
   * debian/compat: bump to compatibility level 9.
   * debian/control: down libnotify-bin from Recommends: to Suggests: for the
     bilibop-lockfs binary package.
 .
   * bilibop-common: modify is_aufs_mountpoint() and physical_hard_disk(): set
     some local variables to an empty string to fix shell-dependant behaviours
     with the 'local' built-in command.
 .
   * bilibop-rules:
     - Modify helper scripts in /usr/share/bilibop: set -e; reformat syntax
       (spaces, neawlines, indents); fix minor errors and cosmetics.
     - make_unpersistent_rules: replace the --skip option by the more explicit
       --only; remove the confusing --reverse option; allow to always handle
       the two files in the same command line.
     - bilibop_rules_generator: fix printf errors and output redirection, and
       manage minor failures to not abort immediately.
     - grub_device_map_manager: add link_device_map() function; do not
       automatically and stupidly remove the existing devive map when the
       --link option is used; fix typos.
     - lsbilibop: add -l option to not rely on BILIBOP udev tags; query the
       ID_DRIVE_DETACHABE value.
     - Update documentation.
 .
   * bilibop-udev: add a new udev rule (to create a 'bootdisk' symlink).
 .
 bilibop (0.4.9) experimental; urgency=low
 .
   * bilibop-rules: modify debian/bilibop-rules.bilibop-udev and
     bilibop_rules_generator to unconditionally set UDISKS_SYSTEM_INTERNAL to 1
     for the main drive.
   * bilibop-lockfs: add 'activate_bilibop_lv()' in lockfs.sh functions, and
     call it from bilibop-lockfs local-bottom initramfs script. This is needed
     to be sure all Logical Volumes needed by the system (listed in /etc/fstab
     and/or /etc/crypttab) are active at this step.
   * Fix typos: replace all occurences of \' by \(aq in manual pages.
 .
 bilibop (0.4.8) experimental; urgency=low
 .
   * bilibop-udev: rewrite postinst script.
 .
 bilibop (0.4.7) experimental; urgency=low
 .
   * bilibop-udev: fix a bux in the udev rules (a matching rule as
     KERNEL=="$result*" is not supported by udev).
   * bilibop-common: add /lib/bilibop/test (to be used by new bilibop-udev udev
     rule); as the 'proof of concept' /lib/bilibop/disk is no more needed by
     bilibop-udev, modify it to output the full path of the disk.
   * debian/control: move versioned dependency on initscripts from bilibop-common
     to bilibop-lockfs and bilibop-rules.
   * Remove debian/source.lintian-overrides (current version of the Debian policy
     is now 3.9.4).
 .
 bilibop (0.4.6) experimental; urgency=low
 .
   * bilibop-lockfs:
     - Add support for plymouth: send a message from local-bottom initramfs
       script when bilibop-lockfs is enabled, disabled or has failed.
     - Allow to override/blank BILIBOP_LOCKFS_WHITELIST with 'lockfs=all'
       boot parameter.
     - Update documentation.
 .
   * bilibop-rules:
     - Add a new helper script: physical_volumes_filter, and its shell
       functions: pvfilter.sh; the script is used to modify the variables
       'obtain_device_list_from_udev' and 'filter' in lvm.conf.
     - Rewrite udev rules and bilibop_rules_generator to tag internal drives
       and partitions, and restore some dm-* related symlinks in the udev
       database (needed by the new script).
     - Update documentation.
 .
   * debian/control: update bilibop-rules extended description.
   * Rewrite maintainer scripts.
 .
 bilibop (0.4.5) experimental; urgency=low
 .
   * bilibop-lockfs: modify bilibop-lockfs initramfs scripts, lockfs.sh and
     lockfs_mount_helper:
     - 'noswap' boot parameter overrides BILIBOP_LOCKFS_SWAP_POLICY and set
       it to "hard".
     - parse /proc/cmdline in a more portable and robust way: take into account
       that the last runlevel (0 to 6, S and single) overrides all the previous
       ones; allow the general format 'lockfs[=opt1[,opt2[,opt3]]]' with
       options 'hard', 'soft', 'force' and an arbitrary string matching a regex
       for the size of the tmpfs used for /.
   * Update bilibop-lockfs documentation (README.Debian).
   * Update bilibop.conf(5) manual page for bilibop-lockfs related variables
     that can be overridden from boot commandline.
 .
 bilibop (0.4.4) experimental; urgency=low
 .
   * Fix inconsistent variable name in the lockfs_mount_helper script.
   * Modify lockfs_mount_helper script: allow devices with 'crypto'
     ID_FS_USAGE (instead of only 'filesystem') to be listed in the
     BILIBOP_LOCKFS_WHITELIST variable.
   * Update bilibop.conf(5) manual pages (en & fr), and fix a translation
     error in the french version.
 .
 bilibop (0.4.3) experimental; urgency=low
 .
   * bilibop-common:
     - Add lib/bilibop/disk (outputs the name of the disk hosting the root
       filesystem, or hosting a file, device or directory given as argument);
     - Update documentation (README.Debian and bugs.txt).
   * bilibop-lockfs:
     - Fix error due to invalid lvm.conf settings (read_only_volume_list should
       not be set if empty): modify 'bilibop-lockfs' initramfs scripts, and
       the functions 'parse_and_modify_fstab()', 'initialize_lvm_conf()',
       'blacklist_bilibop_devices()', 'set_readonly_lvm_settings()' and
       'unlock_logical_volume()'.
     - Improve support for loop devices (take into account that the first field
       in fstab can be a regular file instead of a block device): modify
       lockfs_mount_helper script and 'parse_and_modify_fstab()' function in
       lockfs.sh.
   * bilibop-udev: modify udev rules file (now based on lib/bilibop/disk; runs
     faster). Add postinst and postrm maintscripts to trigger spurious uevents.
     Update README.Debian.
 .
   * debian/control: change Section of bilibop binary package (from misc to
     metapackages); change Depends of the same package (replace dependency on
     bilibop-device-policy virtual package by a versioned dependency on
     bilibop-rules).
 .
 bilibop (0.4.2) experimental; urgency=low
 .
   * Update debian/bilibop-lockfs.dirs
   * Update debian/bilibop-lockfs.install
   * Add missing call to 'get_udev_root' in the bilibop_disk (bilibop-udev)
     script.
 .
 bilibop (0.4.1) experimental; urgency=low
 .
   * Modify lockfs.sh:
     - add new functions: 'set_readonly_lvm_settings()', to modify
       'locking_type', 'metadata_read_only' and 'read_only_volume_list'; and
       'unlock_logical_volume()', to not lock (set read-only) whitelisted
       Logical Volumes.
     - rewrite 'initialize_lvm_conf()' to also initialize 'locking_type',
       'metadata_read_only' and 'read_only_volume_list' LVM variables.
     - rewrite 'blacklist_bilibop_devices()'.
     - modify 'parse_and_modify_fstab()' to use 'unlock_logical_volumes()'.
   * bilibop-lockfs:
     - modify local-bottom initramfs script (call 'set_readonly_lvm_settings()'
       when lockfs policy is 'hard').
     - modify initramfs hook to include a list of Logical Volumes in the
       initramdisk; this list is used by 'set_readonly_lvm_settings()'.
     - new init-top initramfs script, to call 'set_readonly_lvm_settings()'
       very early in the boot process, unless the 'nolockfs' parameter is used
       in the boot commandline.
   * Update documentation (debian/bilibop-lockfs.README.Debian).
   * Modify lockfs-notify script: replace 'permanent' by 'persistent' and
     'temporary' by 'volatile'.
 .
   * Modify bilibop.conf(5) manual pages: use the '.SS' tag, and replace \' by
     \(aq.
 .
   * debian/control: update bilibop-lockfs description; since bilibop depends
     on bilibop-device-policy, remove 'all' from 'install all other BILIBOP
     packages'. For bilibop-udev, replace versioned suggestion on
     bilibop-lockfs by unversioned one.
 .
 bilibop (0.4.0) experimental; urgency=low
 .
   * Add new binary package: bilibop-udev, as a minimal subset of
     bilibop-rules. There is a conflict between bilibop-udev and bilibop-rules,
     and each of them provides the 'bilibop-device-policy' virtual package.
   * bilibop-lockfs: the mount_fallback() function being the only one in
     lockfs.sh that can be used by the lockfs_mount_helper script, move it from
     lockfs.sh to lockfs_mount_helper, and source common.sh directly instead of
     lockfs.sh from lockfs_mount_helper.
   * bilibop-common: update documentation:
     - add a reference to bilibop-udev in misc/udev.txt
     - update misc/bugs.txt (new bug reported against udisks)
     - give additional information about encrypted swap devices (misc/swap.txt)
     - add a NOTE about hibernation, and explain how to hide the 'hibernate'
       button of xfce4-session-logout (misc/swap.txt)
     - give more info about the LVM 'filter' settings and how to use it from OS
       on external media (misc/lvm2.txt)
     - give detailed info on how to build and use non-default keymap in GRUB
       (misc/grub2.txt)
 .
   * debian/changelog: fix a debchangelog syntax error in the Initial Release
     entry (add the missing colon after 'Closes').
   * debian/control: update dependency relationships and description of the
     binary packages:
     - bilibop: modify the Depends: field; now bilibop depends on the virtual
       package 'bilibop-device-policy' instead of 'bilibop-rules (= version)'.
     - bilibop-common: modify the Suggests: field; now suggests the virtual
       package 'bilibop-device-policy' as above and remove (= version) for
       bilibop-lockfs.
     - bilibop-lockfs: modify the Recommends: and Suggests: fields in the same
       manner. Move 'aufs-tools' and 'libnotify-bin' from Suggests: to
       Recommends: field. Add some details in the long description.
     - bilibop-rules: add 'grub-common' and 'lvm2' in Recommends: and move
       'udisks' from Suggests: to Recommends: field. Update short description.
       Add some details in the long description.
   * Update debian/bilibop-rules.dirs (remove unneeded initramfs-tools/hooks
     directory).
 .
 bilibop (0.3.6) experimental; urgency=low
 .
   * bilibop-common: modify common.sh for portability:
     - device_node_from_major_minor(): replace local path= by dev= (path is
       an environment variable of zsh, as PATH, but with spaces as separators
       instead of colons).
     - underlying_device_from_aufs(): escape equal sign (\=) in a variable
       subtitution (for compatibility with zsh again).
   * bilibop-common: modify common.sh to be sure DEBUG is 'true' or 'false'.
   * bilibop-common: modify physical_hard_disk(). Base the loop on /sys/block/*
     instead of the content of /proc/partitions. Runs a little bit faster.
   * bilibop-common: Add support for aufs module parameter 'brs=0'; add
     aufs_dirs_if_brs0() function, and modify aufs_readonly_branch(),
     aufs_writable_branch() and aufs_dirs() to use the new one.
   * bilibop-common: modify _drivemap_volume_size() to use 10 instead of 8 as a
     limit to display sizes in MB).
   * bilibop-common: add FSF address in the licence header of common.sh
 .
   * bilibop-lockfs: use device_nodes() in blacklist_bilibop_devices().
   * bilibop-rules: fix typo in lsbilibop(8) french manual page.
 .
   * Update documentation for bilibop-common (README.Debian, bugs.txt and
     lvm2.txt), bilibop-lockfs (README.Debian) and bilibop-rules
     (README.Debian).
 .
   * debian/control: replace debhelper (>= 9.0.0) by debhelper (>= 9) in the
     Build-Depends: field. Add "GNU/Linux" in the short description of the
     bilibop metapackage.
   * debian/substvars: replace 'Debian' by 'Debian GNU/Linux'; add 'eSATA' in
     the list of external media.
 .
 bilibop (0.3.5) experimental; urgency=low
 .
   * Fix typos in manpages and add french translations of the manpages.
 .
   * bilibop-rules:
     Remove loopback udev rules file and modify bilibop rules file and
     bilibop_rules_generator to not depend on the BACKING_FILE variable.
 .
   * bilibop-rules:
     Rewrite lsbilibop to allow to trigger uevents in a per-action and
     per-device basis: split -u option (update) to -a (action=add) and -c
     (action=change) options.
     Add a short help message in the case BILIBOP udev tag does not exist.
     Add the DEVLINKS udev property in the info (-i option) output.
     Relative paths, symlinks and wildcards are now supported in the
     commandline.
 .
   * bilibop-rules:
     Modify lsbilibop manpage to be consistent with the new lsbilibop script.
 .
   * bilibop-lockfs:
     Be less restrictive in blacklist_bilibop_devices() when building the
     'reject' patterns for lvm.conf filter array: only apply on bilibop
     Physical Volumes and their symlinks instead of all bilibop block
     devices and parent directories of their symlinks.
     Modify and rename overwrite_lvm_conf() to initialize_lvm_conf().
     Add BILIBOP_PART variable in the initramfs script.
 .
   * bilibop-common:
     Fix drivemap output errors: remove annoying trailing spaces, fix width
     issues that occured with the -p option.
     Define the PROG variable and replace all occurencies of ${0##*/} by ${PROG}
     Fix a missing redirection to stderr when --debug is invoked.
 .
   * bilibop-common:
     add device_nodes() function, which is used now in physical_hard_disk() and
     in lsbilibop script. Fix indentations (expand tabs) in common.sh.
 .
   * bilibop-common:
     Add Copyright and Licence as header of lib/bilibop/common.sh, which can be
     used standalone.
 .
   * debian/control: fix typo in bilibop-common description.
   * Remove unneeded executable bit of maintainer scripts and file intended to
     be installed in /bin and /usr/bin.
   * Add debian/source.lintian-overrides to override lintian warning message
     W: bilibop source: newer-standards-version 3.9.4 (current is 3.9.3)
 .
 bilibop (0.3.4) experimental; urgency=low
 .
   * debian/control: bump Standards-Version to 3.9.4; add dependency on
     initscripts (>= 2.88dfs-13.3) for bilibop-common. Replace versioned
     dependencies on udev and initramfs-tools by unversioned dependencies;
     remove versioned dependency on base-files. Replace Vcs-Browser: field
     by Vcs-Git: field.
   * lib/bilibop/common.sh: add a test in physical_hard_disk() to avoid
     possible failures with some partition schemes. Allow
     parent_device_from_dm() to accept a device basename or its absolute path
     as argument.
   * lib/bilibop/lockfs.sh: allow is_encrypted() to treat devices called by
     their UUID or LABEL as well as their filename.
 .
 bilibop (0.3.3) unstable; urgency=low
 .
   * debian/control: add Vcs-Browser: field.
 .
 bilibop (0.3.2) unstable; urgency=low
 .
   * debian/control: fix indentation errors in bilibop-lockfs description.
   * bilibop-rules:
     - postinst: fix an error in the 'udev trigger --sysname-match' argument.
     - postrm: trigger uevents for block devices owned by the 'disk' group.
     - prerm: remove custom 66-bilibop.rules when package is purged.
 .
 bilibop (0.3.1) unstable; urgency=low
 .
   * debian/control: in the Suggests: field of bilibop-rules, replace the too
     specific 'grub2' by a list of alternatives (grub-coreboot, grub-efi-amd64,
     grub-efi-ia32, grub-ieee1275 and grub-pc).
 .
   * Add a TODO in bilibop-common, bilibop-rules and bilibop-lockfs.
   * Include /etc/bilibop/bilibop.conf in the bilibop-common binary package.
   * Modify scripts and documentation to take into account that there can be
     more than height loopback devices.
 .
   * bilibop-rules:
     - Fix errors on tests in the initramfs script.
     - Modify grub_device_map_manager to exit with code 0.
   * bilibop-rules.postinst: trigger uevents for block devices.
   * bilibop-rules.bilibop.udev and bilibop_rules_generator: import ID_FS_*
     properties of dm devices in udev database even if udisks is not installed.
   * bilibop_rules_generator: include a new rule for the case the generated
     custom rules file is orphaned.
 .
 bilibop (0.3.0) unstable; urgency=low
 .
   * debian/control:
     - Update Build-depends from debhelper (>= 8.0.0) to debhelper (>= 9.0.0).
     - Change some dependencies of binary packages to versioned dependencies:
       udev (>= 167), initramfs-tools (>= 0.99). As for base-files (>= 6.4),
       this is needed by the use of the /run temporary directory in bilibop
       functions or scripts.
 .
   * bilibop-lockfs: modify the initramfs hook: busybox providing its own
     blockdev builtin, don't add /sbin/blockdev in the initramfs if busybox is
     added.
   * extended_partition(): rewrite to avoid direct access on devices (now
     based on udev instead of blkid), move it from lockfs.sh to common.sh
   * lockdev_rootdev_tree():
     - Rewrite it to avoid direct access on devices.
     - Rename it blockdev_root_subtree().
   * lockfs_mount_helper:
     - When the fstype registered in /etc/fstab is 'crypt', 'crypt_LUKS' or
       'crypto_LUKS', set the mounted mapped device as readonly too (and not
       only the underlying device) if asked by BILIBOP_LOCKFS_POLICY != soft.
     - Use LC_ALL=C before the verbose chmod and chown to not depend on the
       locale and simplify the regexp in sed.
   * Put the loop used in the initramfs script to parse and modify fstab in the
     parse_and_modify_fstab() function in lockfs.sh, and call this function in
     the initramfs script.
   * Because LVM tools can bypass 'readonly' settings of block devices and
     reset them as writable, add new functions in lockfs.sh:
     - blacklist_bilibop_devices(): called from the initramfs script.
     - overwrite_lvm_conf(): called from the previous one.
     They are used to disallow management of bilibop (physical and virtual)
     devices by the lvm commands by filtering them in the temporary lvm.conf.
     This avoids breakage of bilibop-lockfs 'hard' policy, at least for the
     root filesystem and its parent devices.
   * Add a new part (3.1.g) in README.Debian to explain what is done, and why.
 .
   * bilibop-common: add a reference to
     http://wiki.debian.org/AdvancedStartupShutdownWithMultilayeredBlockDevices
     in the documentation.
   * Add misc/bugs.txt and misc/lvm2.txt in the documentation.
   * common.sh: remove unneeded command substitution (echo) in the
     undelying_device_from_loop() function.
   * New available options in usr/bin/drivemap:
     - Split --debug to --debug and -x or --set-x
     - Add -p or --mountpoint to explicitly ask to display mountpoints.
     - Add -w or --width to control the width of the output.
   * drivemap.sh: modify _dotline() and _print_line() to include new options.
   * drivemap.1: add the new options in the manpage.
   * _drivemap_primary_partitions(): rewrite to use extended_partition().
 .
   * Fix some typos, unclear sentences and language errors in debian/control,
     in the documentation and in the comments of scripts and functions.
 .
 bilibop (0.2) unstable; urgency=low
 .
   * New OpenPGP key.
   * debian/control: change 'Achitecture: all' to 'Architecture: linux-any' for
     all binaries.
   * debian/control: more precise description of the packages, their purposes
     and features. Add a statement about the required kernel version.
   * debian/copyright: modify Format field to:
     http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/ (Fixes
     lintian pedantic message).
   * debian/copyright: change copyright date from 2012 to 2011-2012 for all
     files except debian/*.
   * Clean debian/rules.
   * Add debian/substvars.
   * bilibop-common: modify functions relative to loop devices and aufs to
     improve compatibility with LiveUSB systems.
   * bilibop-lockfs: set the primary extended partition as readonly when the
     root filesystem is contained into a logical partition that has been set
     readonly.
   * bilibop-rules: rewrite initramfs-tools script to not depend on
     bilibop-common functions.
   * Rewrite unclear or ambiguous parts of the documentation, and fix typos.
   * Remove unneeded files from the source.
 .
 bilibop (0.1) unstable; urgency=low
 .
   * Initial Release (Closes: #675467).
Checksums-Sha1: 
 fb00ab9d3fce334eb9e3b944b06fd22bfadd4814 1740 bilibop_0.4.16.dsc
 b0b290b3771a26e8f3916499f00a1462fbc69c3b 123686 bilibop_0.4.16.tar.gz
 226468ef66e68373e0ffe5789b1f6c9ea8202a13 10452 bilibop_0.4.16_amd64.deb
 1351d991ba512b0f95be34190c318561e58d09c2 62400 bilibop-common_0.4.16_amd64.deb
 e2324ceeac56672d4d352c06c73041468005929b 38534 bilibop-lockfs_0.4.16_amd64.deb
 78ed21c9e54c9ec0ee54f65ab8db35e90c4b5888 48252 bilibop-rules_0.4.16_amd64.deb
 7ecf14985803a1569eea6433b2c77db1d21c9634 12510 bilibop-udev_0.4.16_amd64.deb
Checksums-Sha256: 
 5e50d708076be8aa82630a7ac006e2a4fc10ea9742ad48611352651486b58072 1740 bilibop_0.4.16.dsc
 d8a5e8836d2a6b725f4b36c968dfe7a72e65b07bb3adb31f4a2f85e192c942d2 123686 bilibop_0.4.16.tar.gz
 f313dac528eec3c3c00ffe6b1ad85167cc3f6be51df4ec83f2e8406bba116a49 10452 bilibop_0.4.16_amd64.deb
 2724c4658f1091f4cb371834f8060214f75d3604efad4684a3307e79b972a7f2 62400 bilibop-common_0.4.16_amd64.deb
 fa6fd103cc191446243fcb0005aaec486d92eeedf3c16fe47bb60be4d1dd0f4b 38534 bilibop-lockfs_0.4.16_amd64.deb
 38edbb0bc6ca77de64a36097dae20a3664cb1bc93e0c256256bff78d530590bb 48252 bilibop-rules_0.4.16_amd64.deb
 2ddcfc981bd6fbee722b8eb6bdb33bc0fe34aa3a30863a03111444ff73cd5905 12510 bilibop-udev_0.4.16_amd64.deb
Files: 
 95e936f628677cbe524be9114562fe94 1740 admin optional bilibop_0.4.16.dsc
 96f8d19d096e39f825073a4ea433efd8 123686 admin optional bilibop_0.4.16.tar.gz
 e912cf24fc2123ec76795a1d98d995db 10452 metapackages extra bilibop_0.4.16_amd64.deb
 fe30fe88cc039ce5908dff540f39e0e8 62400 admin optional bilibop-common_0.4.16_amd64.deb
 28e37caa7f1fa88f04d3c4403b52e43e 38534 admin optional bilibop-lockfs_0.4.16_amd64.deb
 84b93113924ca4e49c4f5baf452c0afa 48252 admin optional bilibop-rules_0.4.16_amd64.deb
 d1db784208bc5bef104553260331f2e4 12510 admin optional bilibop-udev_0.4.16_amd64.deb

-----BEGIN PGP SIGNATURE-----

iQIcBAEBCgAGBQJSONsHAAoJELrOFdKldJj/zCsQAMXrbcZRcELWy1L9niW77Dqk
ODARO5DzPUSQd9pj1T8Bjdh09JrCmg9VmJQqkQroJ30ZHVqrKJePb12jgSs9H0sH
1YGHNKq3APUc7h6P8TFcHOy81+Kdh1IE/i0Zz7NEPgNdu+e5BZLlFQnIuLku66YO
m7y5S0ryIwzEJHs0n50ANCuTxsFZvUxNxdzx8ziUOCdV+J5ZGjMiOnO/ObGHrVm0
t6z9eHpV90VIjEm7D+V9S8caDN3BvTK0t+/MFzIarHwWpWfSmVXWL7QmiPhG0BIT
z9BwOq8I+6lIWCEg+YZQu3SKG/Y1jMjBiOkpzaaPaBktXPEUf8ZtINzS66GfK66r
mPBWwlVHxyoAymPrdjTbccE62VkDI1se8mnfd3lCwVyIJfXjk3y3CUWJ/RO3+M3C
oU7nZudlC6KZyaD9UBv9/29uYrAHIOnVvgb8wPRoUFEE3oHOhyblimGj3dlhwrQa
u6DGzfdNfhzYH9I3LPmqqjA93qI/M1iNqoiahHK00TLXdiMlR5AiMXwkFNwf/H/C
It9N8G4O7CPOkJr5/JQrxQfQCxyBJh+9F9hzEOgv9RNK/R/9TNjGFjY4+NvX/JeS
YkKmnEL/cHAIIycqJjPlmR6HMjkE+5L6fepVOIgadOhtlg0YGcYpFDMutCegWw0y
sAGRrZ0O1x+LkNph2Xzz
=ZLm6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Oct 2013 07:34:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:10:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.